Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class GLFileData
    Inherits FileAttachmentBase
    Private _GLHeader As GLHeader
    Private _DocumentType As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("GLHeader-GLFileData", GetType(GLHeader))> _
    Property GLHeader As GLHeader
        Get
            Return _GLHeader
        End Get
        Set(value As GLHeader)
            SetPropertyValue("GLHeader", _GLHeader, value)
        End Set
    End Property
    Property DocumentType As String
        Get
            Return _DocumentType
        End Get
        Set(ByVal value As String)
            SetPropertyValue("DocumentType", _DocumentType, value)
        End Set
    End Property
End Class
